summaryrefslogtreecommitdiff
path: root/tests/overwrite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/overwrite.sh')
-rw-r--r--tests/overwrite.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/overwrite.sh b/tests/overwrite.sh
new file mode 100644
index 000000000000..8d9a9c7d7ecf
--- /dev/null
+++ b/tests/overwrite.sh
@@ -0,0 +1,6 @@
+cp if1.c overwrite.c
+unifdef -DFOO=1 -DFOOB=42 -UBAR -ooverwrite.c overwrite.c
+e=$?
+cat overwrite.c
+rm overwrite.c
+exit $e